indexing

	description: "Class that covers Windows current system info related routines."

	usage: "Just inherit from this class."

	author: "Berend de Boer"
	date: "$Date: 2003/01/09 $"
	revision: "$Revision: #2 $"

class

	WINDOWS_SYSTEM

inherit

	EPX_SYSTEM


feature -- Version info

	major_version: INTEGER is
			-- Windows minor version number, i.e. 5 for Windows 2000.
		do
			Result := posix_osversioninfoa_dwmajorversion (version_info.ptr)
		end

	minor_version: INTEGER is
			-- Windows minor version number, i.e. 51 for Windows 3.51.
		do
			Result := posix_osversioninfoa_dwminorversion (version_info.ptr)
		end

	service_pack: STRING is
			-- Service pack if service pack installed. String is like
			-- "Service Pack 2".
		once
			Result := version
		end

end
